with GNATCOM.Dispinterface;

package MSHTML.IHTMLFormElement2_Interface is

   type IHTMLFormElement2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLFormElement2_Type);

   function Pointer (This : IHTMLFormElement2_Type)
     return Pointer_To_IHTMLFormElement2;

   procedure Attach (This    : in out IHTMLFormElement2_Type;
                     Pointer : in     Pointer_To_IHTMLFormElement2);

   procedure Put_acceptCharset
     (This : IHTMLFormElement2_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_acceptCharset
     (This : IHTMLFormElement2_Type)
     return GNATCOM.Types.BSTR;

   function urns
     (This  : IHTMLFormElement2_Type;
      urn   : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.Pointer_To_IDispatch;

end MSHTML.IHTMLFormElement2_Interface;

